<div class="input-font-style">
  <div class="d-block mb-3">
    {{! template-lint-disable require-input-label }}
    <Input class="p-2 w-100 border border-dark-subtle preview {{this.strClasses}}" @value={{this.previewValue}} />
  </div>

  <div class="d-flex">
    <Editor::Properties::OptionContainer @label={{t "option-panel.text-font"}}>
      <Editor::Properties::TextFont @options={{this.classes}} @onChange={{this.changeClasses}} />
    </Editor::Properties::OptionContainer>

    <Editor::Properties::OptionContainer @label={{t "option-panel.bs-property-fw"}}>
      <Editor::Properties::TextWeight @options={{this.classes}} @onChange={{this.changeClasses}} />
    </Editor::Properties::OptionContainer>

    <Editor::Properties::OptionContainer @label={{t "option-panel.bs-property-text-size"}}>
      <Editor::Properties::TextSize @options={{this.classes}} @onChange={{this.changeClasses}} />
    </Editor::Properties::OptionContainer>
  </div>
</div>
